import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Subject } from 'rxjs';
import { SdFormGenericHtml } from '../../../../../../models';
import { FormGenericService } from '../../../../../../services';
import * as i0 from "@angular/core";
export declare class HtmlComponent implements AfterViewInit, OnDestroy {
    #private;
    private ref;
    private readonly formRenderService;
    setVariables: Subject<{
        key: string;
        value: any;
    }>;
    form: FormGroup<{}>;
    set _form(form: FormGroup);
    entity: Record<string, any>;
    set _entity(val: Record<string, any>);
    set _hashedValues(val: string | undefined);
    component: SdFormGenericHtml;
    key: string;
    set _component(component: SdFormGenericHtml);
    viewed: boolean;
    set _viewed(val: boolean | '' | undefined | null);
    constructor(ref: ChangeDetectorRef, formRenderService: FormGenericService);
    hashedValues?: string;
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HtmlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HtmlComponent, "lib-html", never, { "setVariables": { "alias": "setVariables"; "required": true; }; "_form": { "alias": "form"; "required": true; }; "_entity": { "alias": "entity"; "required": true; }; "_hashedValues": { "alias": "hashedValues"; "required": false; }; "_component": { "alias": "component"; "required": true; }; "_viewed": { "alias": "viewed"; "required": false; }; }, {}, never, never, true, never>;
}
